| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
BOOST_CONVERTER_DATA_s Struct Reference

`#include <power_control/devices/dev_boost_typedef.h>`

Collaboration diagram for BOOST_CONVERTER_DATA_s:

## Data Fields
volatile uint16_t | i_sns [BOOST_MPHASE_COUNT]
| BOOST output current. More...
volatile uint16_t | i_out
| BOOST common output current. More...
volatile uint16_t | v_in
| BOOST input voltage. More...
volatile uint16_t | v_out
| BOOST output voltage. More...
volatile uint16_t | temp
| BOOST board temperature. More...
volatile uint16_t | control_input
| BOOST most recent control input value (raw input) More...
volatile uint16_t | control_error
| BOOST most recent control error value. More...
volatile uint16_t | control_output
| BOOST most recent control output value. More...

## Detailed Description

Definition at line 322 of file dev_boost_typedef.h.

## Field Documentation

## ◆ control_error

volatile uint16_t control_error

BOOST most recent control error value.

Definition at line 331 of file dev_boost_typedef.h.

## ◆ control_input

volatile uint16_t control_input

BOOST most recent control input value (raw input)

Definition at line 330 of file dev_boost_typedef.h.

## ◆ control_output

volatile uint16_t control_output

BOOST most recent control output value.

Definition at line 332 of file dev_boost_typedef.h.

## ◆ i_out

volatile uint16_t i_out

BOOST common output current.

Definition at line 325 of file dev_boost_typedef.h.

## ◆ i_sns

volatile uint16_t i_sns[BOOST_MPHASE_COUNT]

BOOST output current.

Definition at line 324 of file dev_boost_typedef.h.

## ◆ temp

volatile uint16_t temp

BOOST board temperature.

Definition at line 328 of file dev_boost_typedef.h.

## ◆ v_in

volatile uint16_t v_in

BOOST input voltage.

Definition at line 326 of file dev_boost_typedef.h.

## ◆ v_out

volatile uint16_t v_out

BOOST output voltage.

Definition at line 327 of file dev_boost_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/devices/dev_boost_typedef.h